### Method

# Camel Folder transfer_messages_to

since: 3.0

#### Declaration [src]

    void
    camel_folder_transfer_messages_to (
      CamelFolder* source,
      GPtrArray* message_uids,
      CamelFolder* destination,
      gboolean delete_originals,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously copies or moves messages from one folder to another. If the `source` or `destination` folders have the same parent store, this may be more efficient than using camel_folder_append_message().

When the operation is finished, `callback` will be called. You can then call `camel_folder_transfer_messages_to_finish()` to get the result of the operation.

Available since: 3.0

This method completes asynchronously. Use `camel_folder_transfer_messages_to_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`message_uids`

  Type: An array of `utf8`

  Message UIDs in `source`.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`destination`

  Type: `CamelFolder`

  The destination `CamelFolder`.

  The data is owned by the caller of the method.

`delete_originals`

  Type: `gboolean`

  Whether or not to delete the original messages.

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.